; -----------------------------------------------------------------------------
; "Rotatrix" by Einar Saukas
; Sample code (plays Rotatrix until SPACE is pressed)
; -----------------------------------------------------------------------------
        org     64500

        call    64974                   ; enable Rotatrix
loop:
        ld      b, 6                    ; synchronize with TV raster beam
sync:
        ld      a,($4000)
        djnz    sync

        halt                            ; wait for next frame

; custom code starts here...
        ld      a, (23560)              ; last pressed key
        cp      ' '                     ; pressed SPACE?
        jr      nz, loop                ; repeat otherwise

        jp      65012                   ; disable Rotatrix and exit

; -----------------------------------------------------------------------------
